# frozen_string_literal: true

require 'active_model'

module Yade
  module Project
    module Rest
      module Model
        # PyenvRuntime
        class PyenvRuntime
          include ActiveModel::Model
          include ActiveModel::Validations
          include ActiveModel::Serializers::JSON

          attr_accessor :id, :version, :packages

          validates_presence_of 'id', 'version',

          def attributes
            instance_values
          end
        end
      end
    end
  end
end
