# frozen_string_literal: true

require 'active_model'

module Yade
  module Project
    module Rest
      module Model
        # Vcs
        class Vcs
          include ActiveModel::Model
          include ActiveModel::Validations
          include ActiveModel::Serializers::JSON

          attr_accessor :id, :vcsType, :url

          validates_presence_of 'id', 'vcsType', 'url'

          def attributes
            instance_values
          end
        end
      end
    end
  end
end
